# Created by pyp2rpm-3.4.0
%define python3_pkgversion 3.11
%global pypi_name hatch-vcs
%global pypi_version 0.4.0

%bcond_without tests # Enables tests

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Hatch plugin for versioning with your preferred VCS

License:        TODO
URL:            TODO
Source0:        https://files.pythonhosted.org/packages/source/h/%{pypi_name}/hatch_vcs-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-hatchling >= 1.1
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  pyproject-rpm-macros
BuildRequires:  git

%if %{with tests}
BuildRequires:  python%{python3_pkgversion}-hatchling >= 1.1
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-setuptools_scm
%endif

%description
Hatch plugin for versioning with your preferred VCS

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        Hatch plugin for versioning with your preferred VCS

Requires:       python%{python3_pkgversion}-hatchling >= 1.1
Requires:       python%{python3_pkgversion}-setuptools_scm
%description -n python%{python3_pkgversion}-%{pypi_name}
Hatch plugin for versioning with your preferred VCS


%prep
%autosetup -n hatch_vcs-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%pyproject_wheel

%install
%pyproject_install

%check
%if %{with tests}
%{pytest} tests/
%endif

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.md
%license LICENSE.txt
%{python3_sitelib}/hatch_vcs
%{python3_sitelib}/hatch_vcs-%{pypi_version}.dist-info

%changelog
* Wed Feb 19 2025 Teo Gonzalez <teo.g.gonzalez@oracle.com> - 0.4.0-1
- Initial package.